#include "orxonox_gui.h"

GtkWidget *orxonox_gui_exec_frame (void)
{
  GtkWidget *frame;
  GtkWidget *save_button;
  GtkWidget *show_button;
  GtkWidget *start_button;
  GtkWidget *quit_button;

  frame = gtk_frame_new ( "Execute-Tags:");
  {
    GtkWidget *orxonox_gui_exec_vbox;
    orxonox_gui_exec_vbox = gtk_vbox_new (FALSE, 0);
    {

	start_button = gtk_button_new_with_label ("Start");
	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_fullscreen);
	 */
	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), start_button, TRUE, TRUE, 5);

	save_button = gtk_check_button_new_with_label ("Save Settings");
	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_audio_Enable_sound);
	 */
	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), save_button, TRUE, TRUE, 0);

	show_button = gtk_check_button_new_with_label ("Always show this Menu");
	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_audio_Enable_sound);
	 */
	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), show_button, TRUE, TRUE, 0);
	

	quit_button = gtk_button_new_with_label ("quit");
	g_signal_connect(GTK_BUTTON(quit_button), "clicked", G_CALLBACK(gtk_main_quit), NULL);
	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), quit_button, FALSE, FALSE, 5);
    }
    gtk_container_add(GTK_CONTAINER(frame), orxonox_gui_exec_vbox);
  }

  return frame;

}

